Problems with aspectjveawer

Dirk Pitt
2010-02-01
2013-05-15
  • Dirk Pitt
    Dirk Pitt
    2010-02-01

    Hi,

    I have problems aspectjveawer from glassbox…

    We have an application that is already using the Load Time Veawing (AspectJ 1.6.1) when I switch I aspectj version to glassbox version, it cause the total choas with the following message…

    "Unable to continue, this version of AspectJ supports classes built with weaver version 3.0 but the class org.springframework.beans.factory.aspectj.AnnotationBeanConfigurerAspect is version 5.0"

    Is glass box using the 1.5 version of aspectJ, why I am getting this message…

    If I leave my 1.6.1 veawer my application and the glassbox loads correctly but when I click the verify installation button, it claims that LTWeaver class is not there (and that is correct, it is not inside of the 1.6.1.jar). and I can't advance in the Glassbox GUI to work with it…

    Can I do something to fix this?

    Thx for the answers..